#include <htc.h>			
#include "PIC_PROTON_LIB.h"	 
#define _XTAL_FREQ  19660800 
__CONFIG(0x2ff2);  // set HS Xtal etc
__CONFIG(0x3fff);

void main()
{
// init AD & Option reg
ANSEL = 0;
ANSELH = 0;
OPTION = 0xC0;
// end of init
__delay_ms(250);
__delay_ms(250); //wait for stable power supply

I2C_INIT(); // initialize I2C - LCD03 is a I2C LCD
    volatile unsigned char LF_L, LF_R, LF_C, LFT_WHEEL, RGT_WHEEL;
   	TRISB |=0b00000111; //B0,B1,B2 = Line sensors

	I2C_SEND_MESSAGE(0xB0,16,50); // Disable 2 sec timeout in command reg
    LCD03_CLEAR_SCREEN();
    LCD03_SET_CURSOR(21);
	char enc[20] = "WHEEL R C L  WHEEL ";
	LCD_WRITE_STRING(enc);

    while (1)
        {
        LF_L = ((PORTB & 0b00000001)); //B0
        LF_C = ((PORTB & 0b00000010)>>1); //B1
        LF_R = ((PORTB & 0b00000100)>>2); //B2
        
        LCD03_SET_CURSOR(41);
		char enc[20] = ".................. ";
		LCD_WRITE_STRING(enc);	
        LCD03_SET_CURSOR(41);
        LCD03_WRITE_BYTE(RGT_WHEEL);    
        LCD03_SET_CURSOR(45);
        LCD03_WRITE_BYTE(LF_R);
        LCD03_SET_CURSOR(48);
        LCD03_WRITE_BYTE(LF_C); 
        LCD03_SET_CURSOR(51);
        LCD03_WRITE_BYTE(LF_L); 
        LCD03_SET_CURSOR(55);
        LCD03_WRITE_BYTE(LFT_WHEEL);

        if (LF_L)
            {
            LFT_WHEEL = 135;
            RGT_WHEEL = 150;
            }

        else if (!(LF_C))
            {
            if (!(LF_R)) 
                {
                LFT_WHEEL = 160;
                RGT_WHEEL = 130;
                }
            else
                {
                LFT_WHEEL = 150;
                RGT_WHEEL = 135;
                }
            }
        else
            {
            LFT_WHEEL = 150;
            RGT_WHEEL = 150;
            }
        I2C_SEND_MESSAGE(0xB0,0,LFT_WHEEL);
        I2C_SEND_MESSAGE(0xB0,1,RGT_WHEEL);
        
        }
}
