#include <htc.h>			
#include "PIC_PROTON_LIB.h"	 
#define _XTAL_FREQ  19660800 
__CONFIG(0x2ff2);  // set HS Xtal etc
__CONFIG(0x3fff);

void DELAYSEC (void)
{
for (char i = 0; i < 10 ; i++) __delay_ms(100);
}

void main()
{
// init AD & Option reg
ANSEL = 0;
ANSELH = 0;
OPTION = 0xC0;
// end of init
__delay_ms(250);
__delay_ms(250); //wait for stable power supply

         I2C_INIT(); // initialize I2C - LCD03 is a I2C LCD
    volatile unsigned char SRF=0;

    while (1)
        {
        I2C_SEND_MESSAGE(0xE0,0,81); //burst - result in CM
        __delay_ms(70); // wait for sound pulse to return
        SRF = I2C_RECEIVE_MESSAGE(0xE0,3); //read low range value <255cm
     
        LCD03_CLEAR_SCREEN();
        LCD03_SET_CURSOR(23);
        LCD03_WRITE_BYTE(SRF);

        LCD03_SET_CURSOR(3);
		char String[20] = "SRF02: (cm)";
		LCD_WRITE_STRING(String);

        }
}


  