#include <htc.h>			
#include "PIC_PROTON_LIB.h"	 
#define _XTAL_FREQ  19660800 
__CONFIG(0x2ff2);  // set HS Xtal etc
__CONFIG(0x3fff);

void DELAYSEC (void)
{
for (char i = 0; i < 10 ; i++) __delay_ms(100);
}

void main()
{
// init AD & Option reg
ANSEL = 0;
ANSELH = 0;
OPTION = 0xC0;
// end of init
__delay_ms(250);
__delay_ms(250); //wait for stable power supply

unsigned char SER_L = 150, SER_R = 150;
   
    I2C_INIT(); // initialize I2C
    I2C_SEND_MESSAGE(0xAA,0,2); // servo's gripper on
    while (1)
        {
            if (PORTB & 0b00010000)
            {
            SER_L++;
            SER_R--;
            }

            else if (PORTB & 0b00100000)
            {
            SER_L--;
            SER_R++;
            }
            I2C_SEND_MESSAGE(0xAA,3,SER_R);
            I2C_SEND_MESSAGE(0xAA,4,SER_L);
            
        }
}


  