#include <htc.h>			
#include "PIC_PROTON_LIB.h"	 
#define _XTAL_FREQ  19660800 
__CONFIG(0x2ff2);  // set HS Xtal etc
__CONFIG(0x3fff);

void DELAYSEC (void)
{
for (char i = 0; i < 10 ; i++) __delay_ms(100);
}

void main()
{
// init AD & Option reg
ANSEL = 0;
ANSELH = 0;
OPTION = 0xC0;
// end of init
__delay_ms(250);
__delay_ms(250); //wait for stable power supply

    I2C_INIT(); // initialize I2C - LCD03 is a I2C LCD
    volatile unsigned char LDR_L = 0, LDR_R =0, R= 0, G=7, B=13;
    while (1)
        {
        LDR_L = I2C_RECEIVE_MESSAGE(0x10,8);
        LDR_R = I2C_RECEIVE_MESSAGE(0x10,9);

        I2C_SEND_MESSAGE(0x10,1,B);
        I2C_SEND_MESSAGE(0x10,2,G);
        I2C_SEND_MESSAGE(0x10,3,R);
        I2C_SEND_MESSAGE(0x10,4,R);
        I2C_SEND_MESSAGE(0x10,5,G);
        I2C_SEND_MESSAGE(0x10,6,B);

        B = B + 3;
        G = G + 7;
        R = R + 13;

        LCD03_CLEAR_SCREEN();
        LCD03_SET_CURSOR(23);
        LCD03_WRITE_BYTE(LDR_L);
        LCD03_SET_CURSOR(33);
        LCD03_WRITE_BYTE(LDR_R);
        __delay_ms(30);

        }
}


  