#include <htc.h>			
#include "PIC_PROTON_LIB.h"	 
#define _XTAL_FREQ  19660800 
__CONFIG(0x2ff2);  // set HS Xtal etc
__CONFIG(0x3fff);

void DELAYSEC (void)
{
for (char i = 0; i < 10 ; i++) __delay_ms(100);
}

void main()
{
// init AD & Option reg
ANSEL = 0;
ANSELH = 0;
OPTION = 0xC0;
// end of init
__delay_ms(250);
__delay_ms(250); //wait for stable power supply
   
I2C_INIT(); // initialize I2C - LCD03 is a I2C LCD
    volatile unsigned char x = 128;
    I2C_SEND_MESSAGE(0xAA,0,1); // servo's head on
    I2C_SEND_MESSAGE(0xAA,1,80); // UP / DOWN
    DELAYSEC ();
    I2C_SEND_MESSAGE(0xAA,2,128); // LEFT / RIGHT
    DELAYSEC ();
    while (1)
        {
        while (x < 255)
            {
            I2C_SEND_MESSAGE(0xAA,2,x); // LEFT / RIGHT
            x++;
            __delay_ms(30);
            }
        
        while (x > 1)
            {
            I2C_SEND_MESSAGE(0xAA,2,x); // LEFT / RIGHT
            x--;
            __delay_ms(30);

            }
        }
}


  