#include <htc.h>            
#include "PIC_PROTON_LIB.h"  
#define _XTAL_FREQ  19660800 
__CONFIG(0x2ff2);  // set HS Xtal etc
__CONFIG(0x3fff);

void main()
{
// init AD & Option reg
ANSEL = 0;
ANSELH = 0;
OPTION = 0xC0;
// end of init
__delay_ms(250);
__delay_ms(250); //wait for stable power supply

    volatile unsigned char IR_L, IR_R, IR_C;
    I2C_INIT(); // initialize I2C - LCD03 is a I2C LCD

    char enc[20] = "WHEEL R C L  WHEEL ";
    LCD_WRITE_STRING(enc);
    LCD03_CLEAR_SCREEN();
    LCD03_SET_CURSOR(1);
    char enc[20] = "SHARP IR ANALG SENS\0"; //null char \0
    LCD_WRITE_STRING(enc);
    LCD03_SET_CURSOR(21);
    char enc[20] = "RIGHT  CENTER  LEFT\0";
    LCD_WRITE_STRING(enc);

    while (1)
        {
        IR_L = READ_ADC_BYTE_CHANNEL( 0 );
        IR_C = READ_ADC_BYTE_CHANNEL( 1 );
        IR_R = READ_ADC_BYTE_CHANNEL( 2 );
        
        LCD03_SET_CURSOR(41);
        char enc[20] = "                   \0";
        LCD_WRITE_STRING(enc);
        LCD03_SET_CURSOR(41);
        LCD03_WRITE_BYTE(IR_R);
        LCD03_SET_CURSOR(48);
        LCD03_WRITE_BYTE(IR_C); 
        LCD03_SET_CURSOR(57);
        LCD03_WRITE_BYTE(IR_L); 
        __delay_ms(100);
        }
}
