#include <htc.h>			
#include "PIC_PROTON_LIB.h"	 
#define _XTAL_FREQ  19660800 
__CONFIG(0x2ff2);  // set HS Xtal etc
__CONFIG(0x3fff);

void main()
{
// init AD & Option reg
ANSEL = 0;
ANSELH = 0;
OPTION = 0xC0;
// end of init
__delay_ms(250);
__delay_ms(250); //wait for stable power supply
   
TRISB |=0b00110000; //B4-B5 input - SWITCHES
    TRISD = 0x00; // PORTD = OUTPUT = leds
    TRISA &= ~0x10; //PIN A4 =OUT= LS
    
    while (1)
        {
    if (PORTB & 0b00010000)  //red switch
        {
        PORTD = 0x0F;
        PORTA |= 0x10; //pin A4 High
        __delay_ms(1);
        PORTA &= ~0x10; //pin A4 Low
        __delay_ms(1);
        }

    else if (PORTB & 0b00100000)  //black switch
        {
        PORTD = 0xF0;
        PORTA |= 0x10; //pin A4 High
        __delay_us(500);
        PORTA &= ~0x10; //pin A4 Low
        __delay_us(500);
        }
    else PORTD = 0x00;
        }
}


  